<form class="form-group" novalidate (ngSubmit)="onSubmit(f)" #f="ngForm">
    <label>
      <span>Full name</span>
      <input name="name" type="text" placeholder="Your full name" forbiddenName="bob" [(ngModel)] = "user.name" minlength="4" #name="ngModel" required pattern="[a-zA-Z][a-zA-Z]+">
    </label>
    <div *ngIf="name.invalid && (name.dirty || name.touched)" class="error">
        <div *ngIf="name.errors.required">
            Name is required.
        </div>
        <div *ngIf="name.errors.minlength">
            Name must be at least 4 characters long.
        </div>
        <div *ngIf="name.errors.forbiddenName">
            Name cannot be Bob.
        </div>
        <div *ngIf="name.errors.pattern">
            Only alphabetsallowed
        </div>
    </div>

    <div ngModelGroup="account" #userAccount="ngModelGroup">
        <label>
        <span>Email address</span>
        <input type="email" placeholder="Your email address" name="email" ngModel required>
      </label>
        <label>
    <span>Confirm address</span>
    <input
      type="email"
      placeholder="Confirm your email address"
      name="confirm"
      ngModel
      required>
  </label>
        <div *ngIf="userAccount.invalid && userAccount.touched" class="error">
            Both emails are required

        </div>
    </div>
    <button type="submit" [disabled]="f.invalid">Sign up</button>
</form>